Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionProvider

- All Known Subinterfaces:
    `CDOCommonTransaction`, `CDOCommonView`, `CDORevisionProviderWithSynthetics`, `CDOTransaction`, `CDOView`, `CDOWorkspace`, `CDOWorkspaceBase`, `CDOWorkspaceBase2`, `InternalCDOTransaction`, `InternalCDOView`, `InternalCDOWorkspace`, `InternalCDOWorkspaceBase`, `InternalCommitContext`, `InternalTransaction`, `InternalView`, `IStoreAccessor.CommitContext`, `ITransaction`, `IView`
  All Known Implementing Classes:
    `CDOChangeSetDataRevisionProvider`, `CDOPushTransaction`, `CDORevisionAvailabilityInfo`, `ManagedRevisionProvider`, `ManagedRevisionProvider.WithSynthetics`

      public interface CDORevisionProvider

  Provides consumers with the `revisions` of `identifiable` CDO objects by selecting a particular one from several possible `branch points`.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORevision` | `getRevision​(CDOID id)` |

- - ### Method Detail

    - #### getRevision

          CDORevision getRevision​(CDOID id)